package cn.edu.whu.boot.photozip.mapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;  // 确保导入了这个包
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

@Mapper
public interface PhotoZipMapper {
    List<String> getMediaPathsByTask(@Param("tableName") String taskId);
    Map<String, Object> getTaskInfoByTaskName(@Param("taskName") String taskName);
    String getXmlFilePathByXmlId(@Param("xmlId") Integer xmlId);
    void insertOrUpdateZipTask(@Param("taskName") String taskName, @Param("status") String status);
    String getZipTaskStatus(@Param("taskName") String taskName);
    @Mapper
    @Select("SELECT id, real_name FROM public.user_staff")
    List<Map<String, String>> getUserList();
    List<Map<String, Object>> getUserMap();
}